### Method

# Goa Manager call_add_account

#### Declaration [src]

    void
    goa_manager_call_add_account (
      GoaManager* proxy,
      const gchar* arg_provider,
      const gchar* arg_identity,
      const gchar* arg_presentation_identity,
      GVariant* arg_credentials,
      GVariant* arg_details,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously invokes the AddAccount() D-Bus method on `proxy`. When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `goa_manager_call_add_account_finish()` to get the result of the operation.

See `goa_manager_call_add_account_sync()` for the synchronous, blocking version of this method.

This method completes asynchronously. Use `goa_manager_call_add_account_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`arg_provider`

  Type: `const gchar*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_identity`

  Type: `const gchar*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_presentation_identity`

  Type: `const gchar*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_credentials`

  Type: `GVariant`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.

`arg_details`

  Type: `GVariant`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.